# Copyright (c) 2022-2023 Arm Limited and/or its affiliates.
# <open-source-office@arm.com>
#
# SPDX-License-Identifier: MIT
---

# Validate layers are Yocto Project Compatible
check-layers:
  extends: .kas_build_cassini
  script:
    - echo "Validate layer $LAYER is Yocto Project compatible"
    # There is bug in Python 3.9.2 which is causing yocto-check-layer to fail
    # https://github.com/python/cpython/issues/88600
    # The LD_PRELOAD can be removed when Kas moves to a newer version of Python
    - kas shell --update --force-checkout
        meta-cassini-config/kas/cassini.yml:meta-cassini-config/kas/security.yml:meta-cassini-config/kas/${MACHINE}.yml:meta-cassini-config/kas/tests.yml
        --command "LD_PRELOAD=/lib/aarch64-linux-gnu/libgcc_s.so.1
            yocto-check-layer-wrapper $CI_PROJECT_DIR/$LAYER
          --dependency $KAS_WORK_DIR/layers/meta-*
            $KAS_WORK_DIR/layers/poky/meta-poky
            $KAS_WORK_DIR/layers/meta-openembedded/meta-oe
          --no-auto-dependency"
  parallel:
    matrix:
      - MACHINE: [n1sdp, corstone1000-mps3, corstone1000-fvp]
        LAYER: [meta-cassini-distro, meta-cassini-bsp, meta-cassini-tests]
  rules:
    - !reference [".layer-check:rules", rules]
